Subject: [LON-CAPA-dev] Preview of 2.6.1 Release Announcement for LON-CAPA

From: "Stuart Peter Raeburn" <[email-masked]>
Date: Mon, 21 Jan 2008 09:56:55 -0500

Hi, 

This is a draft of the announcement for the upcoming LON-CAPA 2.6.1 release. 
Let me know if you see any errors or omissions. 

Thanks 

Stuart Raeburn
MSU LON-CAPA group 

********* 

New Version 2.6.1 Released 

This is primarily a bug fix release for version 2.6.0.
It is highly recommended to update 2.6.0 installations with 2.6.1 

Changes from 2.6.0 

 - Scores can be assigned from uploaded clicker data
 - Display of completion status information is suppressed on "Navigate 
Contents"
 page for problems which have been set to provide no feedback of any type 
(including sig fig. or unit errors).
 - The student's display of total points awarded in assignments within a 
folder shows correct values
 - "Calculate Answers" in Construction Space works again to provide a preview 
of multiple versions of a problem resulting from randomization.
 - Ability to compose a message to a student when grading essay questions 
available again in the grading interface.
 - Points awarded to the student submitting a response to an essay question, 
are automatically awarded to any collaborators.
 - A Course Description can begin with an underscore.
 - URLs of group home pages are now updated in the new course when cloning 
from an existing course containing groups.
 - Default values are filled in automatically when selecting a template in 
"parameters for response" in "Edit" mode in Construction Space.
 - The pop-up window used when changing access dates or sections for multiple 
users all at once can now be opened by Internet Explorer.
 - A custom quota for a user's portfolio can now be set when first creating a 
new user account.
 - Help requests sent to a domain's helpdesk via the support form can now 
include Ccs on the email.
 - The size of the top frame containing inline navigation has been increased 
so all buttons/icons/text are visible without the need for scrolling.
 - A "Cancel" button is provided when uploading a file to Construction Space, 
if upload would result in overwriting an existing file.
 - The location bar displayed when viewing a resource (with inline 
navigation) is displayed in more cases.
 - Numerous localization updates.
 - Several German translations added or updated.
 - A Domain Coordinator can replace the "User Authentication" image on the 
log-in screen with a different image or with the text "Log-in", with 
customized colors for text and background.
 - Either the "About Me" or "Modify User" page for each user, accessible from 
username links included in user lists, can be opened in a new window.
 - A rotation angle can be specified for plot labels in dynamically generated 
plots.
 - Interface in "User Preferences" for changing forwarding addresses and/or 
notification email addresses updated to clarify difference between the two. 
Documentation updated accordingly. 

To install this update: 

1) You will need to be running Fedora Core 6, 7, or 8, RHEL (AS|ES) 4 or 5,
  SUSE 9.3, 10.1, 10.2, or 10.3, SLES 9 or 10, CentOS 5, Scientific Linux 5
    (Fedora Core 5 should continue to work but is deprecated.) 

2) Update to the latest LONCAPA-prerequisites (1-10), and replace the old
gnuplot_loncapa with gnuplot 4.2 

(a) Fedora
For Fedora 5 and 6 you will need to import the LON-CAPA public key.  For
Fedora 7 and 8, it is assumed this occurred previously during the original
installation. 

rpm --import http://install.loncapa.org/versions/fedora/RPM-GPG-KEY-loncapa 

yum update --obsoletes 

(b) RedHat Enterprise 4 

up2date -u LONCAPA-prerequisites
up2date -i gnuplot 

(c) Red Hat 5/Centos 5/Scientific Linux 5 

yum update --obsoletes 

(d) SuSE/SLES 

Use yast-> Installation Source to refresh the LON-CAPA repository
Use yast->Software Management->Search to update LONCAPA-prerequisites (to
version  1-10), install gnuplot and delete gnuplot_loncapa. 

On all distributions, it is recommended that you check that you have the
correct versions of LONCAPA-prequisites and gnuplot installed before
proceeding. 

rpm -q LONCAPA-prerequisites
rpm -q gnuplot 

should report:
LONCAPA-prerequisites-1-10.X
gnuplot-4.2.0.X 

(where X is a distro identifier e.g., fc7.lc) 

3) Download the new LON-CAPA tarball from
wget http://install.lon-capa.org/versions/loncapa-2.6.1.tar.gz 

and untar it 

tar xzvf loncapa-2.6.1.tar.gz 

4) stop the LON-CAPA system services 

/etc/rc.d/init.d/loncontrol stop 

5) stop the webserver: 

Fedora/RHEL:
/etc/rc.d/init.d/httpd stop 

SUSE 9.X/SLES 9:
/etc/init.d/apache stop 

SUSE 10.X/SLES 10:
/etc/init.d/apache2 stop 

6) Run the UPDATE script as root
cd loncapa-2.6.1
su
./UPDATE 

7) restart the LON-CAPA system services
/etc/rc.d/init.d/loncontrol start 

8) restart the webserver: 

Fedora/RHEL:
/etc/rc.d/init.d/httpd start 

SUSE 9.X/SLES 9:
/etc/init.d/apache start 

SUSE 10.X/SLES 10:
/etc/init.d/apache2 start 

 ----NOTES
1) Many questions are answered at http://help.lon-capa.org
2) Defects reports, and enhancements requests can be entered at
  http://bugs.lon-capa.org
3) Mailing lists can be joined and left at http://mail.lon-capa.org

---

From: Felicia Berryman <[email-masked]>
Date: Mon, 21 Jan 2008 17:39:34 -0500

Hi Stuart,

My suggestions are minor. I pulled out the fixes into three categories 
to make the email easier to scan.  I also changed some minor language in 
the bug fix list items such that they communicate that the item is a fix 
and not an addition.  All of my suggestions begin on unquoted lines.

Felicia

Bug Fixes:
> - Scores can 
again
be assigned from uploaded clicker data
> - Display of completion status information is 
properly
> suppressed 
again
 > on "Navigate Contents" page for problems which have been set to
 > provide no feedback of any type (including sig fig. or unit errors).
on student grading screen again.
> - "Calculate Answers" in Construction Space works again to provide a 
> preview of multiple versions of a problem resulting from randomization.
> - Points awarded to the student submitting a response to an essay 
> question, are automatically awarded to any collaborators.
(is this a 2.6.0 fix or an old bug, wondering if such a nuance would be 
worth noting here)
> - A Course Description can begin with an underscore.
Suggested Replacement: A Course Description beginning with an underscore 
no longer prevents entry into course.
> - URLs of group home pages are now
properly
> updated in the new course when cloning from an existing course containing
 > groups.
> - Default values are filled in automatically when selecting a template 
> in "parameters for response" in "Edit" mode in Construction Space.
Suggested Replacement: Templates for "parameters for response" in "Edit" 
mode in Construction Space work again.
> - The pop-up window used when changing access dates or sections for 
> multiple users all at once can now be opened by Internet Explorer.
 > - The size of the top frame containing inline navigation has been
 > increased so all buttons/icons/text are visible without the need for
 > scrolling.
 > - Interface in "User Preferences" for changing forwarding addresses
 > and/or notification email addresses updated to clarify difference
 > between the two. Documentation updated accordingly.

New Minor Additions:
> - A custom quota for a user's portfolio can now be set when first 
> creating a new user account.
> - A "Cancel" button is provided when uploading a file to Construction 
> Space, if upload would result in overwriting an existing file.
bug fix or new addition?
> - Either the "About Me" or "Modify User" page for each user, accessible 
> from username links included in user lists, can be opened in a new window.
bug fix or new addition?
 > - A Domain Coordinator can replace the "User Authentication" image on
 > the log-in screen with a different image or with the text "Log-in",
 > with customized colors for text and background.
 > - A rotation angle can be specified for plot labels in dynamically
 > generated plots.

Localization/Translation Updates (affect non-English installations)

-- 
Felicia Berryman
LON-CAPA Support Coordinator
Michigan State University
Phone:  (517)432-9866
Technical Support Available at:
    http://www.loncapa.msu.edu - MSU Users
    http://www.help.lon-capa.org - General